import { getReservationsList } from 'api/getReservationsList';
import { useMemo, useState } from 'react';
import { InsertReservationType } from 'types/InsertReservationType';

export const useReservations = (): InsertReservationType[] => {
  const [reservationList, setReservationList] = useState<
    InsertReservationType[]
  >([]);
  useMemo(() => {
    let isMounted = true;

    getReservationsList().then((list) => {
      if (isMounted) setReservationList(list);
    });
    return () => {
      isMounted = false;
    };
  }, []);
  return reservationList;
};
